/**
 *@module ArcGis
 */

import { ArcGisFeatureLayer } from './FeatureLayer';
import { ArcGisFindParameters } from './FindParameters';
import { ArcGisFindTask } from './FindTask';
import { ArcGisIdentifyTask } from './IdentifyTask';
import { ArcGisIdentifyParameters } from './IdentifyParameters';
import { ArcGisGeometry } from './Geometry';
import { ArcGisQuery } from './Query';
import { ArcGisQueryTask } from './QueryTask';
import { ArcGisPolygon } from './Polygon';
import { ArcGisPoint } from './Point';
import { ArcGisMultipoint } from './Multipoint';
import { ArcGisPolyline } from './Polyline';
import { ArcGisGraphic } from './Graphic';
import { ArcGisExtent } from './Extent';
import {ArcGisCircle} from "./Circle";

export {
    ArcGisFeatureLayer,
    ArcGisFindParameters,
    ArcGisFindTask,
    ArcGisIdentifyTask,
    ArcGisIdentifyParameters,
    ArcGisGeometry,
    ArcGisQuery,
    ArcGisQueryTask,
    ArcGisPoint,
    ArcGisMultipoint,
    ArcGisPolyline,
    ArcGisPolygon,
    ArcGisCircle,
    ArcGisGraphic,
    ArcGisExtent
};

const ArcGis = {
    ArcGisFeatureLayer,
    ArcGisFindParameters,
    ArcGisFindTask,
    ArcGisIdentifyTask,
    ArcGisIdentifyParameters,
    ArcGisGeometry,
    ArcGisQuery,
    ArcGisQueryTask,
    ArcGisPoint,
    ArcGisMultipoint,
    ArcGisPolyline,
    ArcGisPolygon,
    ArcGisCircle,
    ArcGisGraphic,
    ArcGisExtent
};

export default ArcGis;
